subroutine sub(f,f1,x)
! met. Newton =Dubla Precizie
implicit real(8) (a-h, o-z)
common p

f =tan(x) +(x-1.78)/(x+0.2)
f1 =1./(cos(x)**2) +1.98/(x+0.2)**2


!stat: x~5.
f =7*x -5*x*cos(x) +3*sin(x)
f1 =7 -2*cos(x) +5*x*sin(x)

END
